| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# PartPropSvc Class Reference

`#include <PartPropSvc.h>`

Inheritance diagram for PartPropSvc:

[legend]
Collaboration diagram for PartPropSvc:

[legend]

List of all members.

## Detailed Description

Definition at line 27 of file PartPropSvc.h.

## Public Member Functions
virtual StatusCode | initialize ()
| Initialization (from CONFIGURED to INITIALIZED).
virtual StatusCode | finalize ()
| Finalize (from INITIALIZED to CONFIGURED).
virtual StatusCode | queryInterface (const InterfaceID &riid, void **ppvInterface)
| Query interfaces of Interface.
virtual const InterfaceID & | type () const
| Retrieve ID of the Service.
HepPDT::ParticleDataTable * | PDT ()
## Public Attributes
tuple | PartPropSvc = Service( "PartPropSvc" )
## Protected Member Functions
| PartPropSvc (const std::string &name, ISvcLocator *svc)
virtual | ~PartPropSvc ()
## Private Attributes
std::string | m_inputType
std::vector< std::string > | m_pdtFiles
HepPDT::ParticleDataTable * | m_pdt
## Friends
class | SvcFactory< PartPropSvc >

## Constructor & Destructor Documentation

PartPropSvc::PartPropSvc | ( | const std::string & | name,
|  | ISvcLocator * | svc |
| ) |  |  | `[protected]`

virtual PartPropSvc::~PartPropSvc | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual StatusCode PartPropSvc::initialize | ( |  | ) | `[virtual]`

Initialization (from CONFIGURED to INITIALIZED).

Reimplemented from Service.

virtual StatusCode PartPropSvc::finalize | ( |  | ) | `[virtual]`

Finalize (from INITIALIZED to CONFIGURED).

Reimplemented from Service.

virtual StatusCode PartPropSvc::queryInterface | ( | const InterfaceID & | riid,
|  | void ** | ppvUnknown |
| ) |  |  | `[virtual]`

Query interfaces of Interface.

Parameters:

  | riid | ID of Interface to be retrieved
  | ppvUnknown | Pointer to Location for interface pointer

Reimplemented from Service.

virtual const InterfaceID& PartPropSvc::type | ( |  | ) | const`[virtual]`

Retrieve ID of the Service.

Reimplemented from Service.

HepPDT::ParticleDataTable* PartPropSvc::PDT | ( |  | ) | `[inline, virtual]`

Implements IPartPropSvc.

Definition at line 42 of file PartPropSvc.h.

    00042 { return m_pdt; };

## Friends And Related Function Documentation

friend class SvcFactory< PartPropSvc >`[friend]`

Definition at line 54 of file PartPropSvc.h.

## Member Data Documentation

tuple PartPropSvc::PartPropSvc = Service( "PartPropSvc" )

Definition at line 6 of file PartPropSvc.py.

std::string PartPropSvc::m_inputType`[private]`

Definition at line 56 of file PartPropSvc.h.

std::vector<std::string> PartPropSvc::m_pdtFiles`[private]`

Definition at line 57 of file PartPropSvc.h.

HepPDT::ParticleDataTable* PartPropSvc::m_pdt`[private]`

Definition at line 59 of file PartPropSvc.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/PartPropSvc/src/PartPropSvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/PartPropSvc/share/PartPropSvc.py